NAME

OpenAPI::Client::OpenAI::Path::organization-groups-group_id - Documentation for the /organization/groups/{group_id} path.

OPERATIONS

DELETE /organization/groups/{group_id}

delete-group

$client->delete_group({
    body => { ... },
});

Deletes a group from the organization.

Path/query parameters

  • group_id (in path, required, string) - The ID of the group to delete.

Responses

200 - Group deleted successfully.

Content-Type: application/json

Example:

{
   "deleted" : true,
   "id" : "group_01J1F8ABCDXYZ",
   "object" : "group.deleted"
}

GET /organization/groups/{group_id}

retrieve-group

$client->retrieve_group({
    body => { ... },
});

Retrieves a group.

Path/query parameters

  • group_id (in path, required, string) - The ID of the group to retrieve.

Responses

200 - Group retrieved successfully.

Content-Type: application/json

Example:

{
   "created_at" : 1711471533,
   "group_type" : "group",
   "id" : "group_01J1F8ABCDXYZ",
   "is_scim_managed" : false,
   "name" : "Support Team"
}

POST /organization/groups/{group_id}

update-group

$client->update_group({
    body => { ... },
});

Updates a group's information.

Path/query parameters

  • group_id (in path, required, string) - The ID of the group to update.

Responses

200 - Group updated successfully.

Content-Type: application/json

Example:

{
   "created_at" : 1711471533,
   "id" : "group_01J1F8ABCDXYZ",
   "is_scim_managed" : false,
   "name" : "Escalations"
}

SCHEMAS

GroupDeletedResource

Properties:

  • deleted (boolean, required) - Whether the group was deleted.

  • id (string, required) - Identifier of the deleted group.

  • object (string, required) - Always group.deleted .

    Allowed values: group.deleted

GroupResourceWithSuccess

Properties:

  • created_at (integer, required) - Unix timestamp (in seconds) when the group was created.

  • id (string, required) - Identifier for the group.

  • is_scim_managed (boolean, required) - Whether the group is managed through SCIM and controlled by your identity provider.

  • name (string, required) - Updated display name for the group.

GroupResponse

Properties:

  • created_at (integer, required) - Unix timestamp (in seconds) when the group was created.

  • group_type (string, required) - The type of the group.

    Allowed values: group, tenant_group

  • id (string, required) - Identifier for the group.

  • is_scim_managed (boolean, required) - Whether the group is managed through SCIM and controlled by your identity provider.

  • name (string, required) - Display name of the group.

UpdateGroupBody

Properties:

  • name (string, required) - New display name for the group.

SEE ALSO

OpenAPI::Client::OpenAI::Path

COPYRIGHT AND LICENSE

Copyright (C) 2023-2026 by Nelson Ferraz

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.14.0 or, at your option, any later version of Perl 5 you may have available.